%global modulename copy-concurrently

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-copy-concurrently
Version:        1.0.5
Release:        1%{?dist}
Summary:        Promises of copies of files, directories and symlinks, with concurrency controls and win32 junction fallback.

License:        ISC
URL:            https://www.npmjs.com/package/copy-concurrently
Source0:        https://registry.npmjs.org/copy-concurrently/-/copy-concurrently-1.0.5.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(aproba) >= 1.1.1 with npmlib(aproba) < 2.0.0))
BuildRequires:  ((npmlib(fs-write-stream-atomic) >= 1.0.8 with npmlib(fs-write-stream-atomic) < 2.0.0))
BuildRequires:  ((npmlib(iferr) >= 0.1.5 with npmlib(iferr) < 0.2.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.1 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(rimraf) >= 2.5.4 with npmlib(rimraf) < 3.0.0))
BuildRequires:  ((npmlib(run-queue) >= 1.0.0 with npmlib(run-queue) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Promises of copies of files, directories and symlinks, with concurrency controls and win32 junction fallback.

%package 1.0.5
Summary:        Promises of copies of files, directories and symlinks, with concurrency controls and win32 junction fallback.


%description 1.0.5
Promises of copies of files, directories and symlinks, with concurrency controls and win32 junction fallback.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr copy.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr is-windows.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc README.md~
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.5
%doc README.md
%doc README.md~
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.0.5-1
- Package automatically generated by npm2srpm
